### Function

# GimpUi window_set_transient_for_display

#### Declaration [src]

    void
    gimp_window_set_transient_for_display (
      GtkWindow* window,
      GimpDisplay* display
    )

#### Description [src]

Indicates to the window manager that `window` is a transient dialog associated with the GIMP image window that is identified by it’s display ID. See gdk_window_set_transient_for () for more information.

Most of the time you will want to use the convenience function gimp_window_set_transient().

Available since: | 2.4

#### Parameters

`window` | `GtkWindow`
| The `GtkWindow` that should become transient.
| The data is owned by the caller of the function.
`display` | `GimpDisplay`
| Display of the image window that should become the parent.
| The data is owned by the caller of the function.